Package Details: iwd-git r2423.5c5bfbb-1

Git Clone URL: https://aur.archlinux.org/iwd-git.git (read-only, click to copy)
Package Base: iwd-git
Description: Internet Wireless Daemon
Upstream URL: https://git.kernel.org/cgit/network/wireless/iwd.git/
Licenses: LGPL
Conflicts: iwd
Provides: iwd
Submitter: ImNtReal
Maintainer: None
Last Packager: Shibumi
Votes: 3
Popularity: 0.000000
First Submitted: 2017-01-16 15:49 (UTC)
Last Updated: 2020-01-29 17:04 (UTC)

Latest Comments

peippo commented on 2022-06-04 13:21 (UTC)

Actually, simply adding dbus and systemd to makedepends() does the job. Could you do that? Thanks!

peippo commented on 2022-06-04 12:59 (UTC)

I keep running into this error, when trying to build iwd-git in a chroot:

checking D-Bus data directory... configure: error: D-Bus data directory is required

Is there any way of getting around this? How is iwd built differently? (I see it does not run ./bootstrap)

keithspg commented on 2020-10-09 16:13 (UTC)

There are 2 configure flags in the PKGBUILD which report as no longer valid: configure: WARNING: unrecognized options: --with-runstatedir, --enable-sim-hardc oded

Shibumi commented on 2020-01-29 17:06 (UTC)

@xdavidwu and @gdamjan I've updated the PKGBUILD according to the one in community, sorry for the delay.

xdavidwu commented on 2019-12-12 16:41 (UTC)

missing makedepends python-docutils for rst2man utility to generate manpages

gdamjan commented on 2019-09-09 17:46 (UTC)

please update the package to be more similar to the iwd in [community], especially the ./configure line

Shibumi commented on 2018-05-04 21:19 (UTC)

Hello, You should make sure to set the right libexec dir and localstatedir.. configure the "configure line" like this:

./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/iwd --localstatedir=/var

This should fix the issue.